<template>
  <drawer
    :showDrawer="this.showDrawer"
    :size="'40%'"
    :title="'Cadastrar'"
    :description="'Cadastro de um novo usuário do sistema'"
    @emit-drawer-closed="handleCloseDrawer"
  >
    <div class="row form-group">
      <label class="col-4">Título</label>
      <input
        type="text"
        class="col-8 form-control"
        v-model="portfolioForm.title"
      />
    </div>
    <div
      :style="{
        position: 'absolute',
        right: 0,
        bottom: 0,
        width: '100%',
        borderTop: '1px solid #e9e9e9',
        padding: '10px 16px',
        background: '#fff',
        textAlign: 'center',
        zIndex: 1,
      }"
    >
      <a-button :style="{ marginRight: '8px' }" @click="handleCloseDrawer"
        >Cancelar</a-button
      >
      <a-button type="primary">Cadastrar</a-button>
    </div>
  </drawer>
</template>

<script>
import Portfolio from "@/model/portfolio/portfolio";
import Drawer from "@/components/generic-components/drawer/drawer";
export default {
  props: ["portfolio", "showDrawer"],
  components: {
    Drawer,
  },
  data() {
    return {
      portfolioForm: new Portfolio(),
    };
  },
  watch: {
    portfolio: function (newPortfolio) {
      this.portfolioForm = newPortfolio;
    },
  },
  methods: {
    handleSave() {
      this.$emit("emit-save-user", this.portfolioForm);
    },
    handleCloseDrawer() {
      this.portfolioForm = new Portfolio();
      this.$emit("emit-close-drawer", false);
    },
  },
};
</script>
